package model;

import java.awt.Component;

import javax.swing.JCheckBox;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

/**
 * @author Nobuo Tamemasa
 * @author Mickal Martin Nevot
 * 
 * @version 1.0.0 11/09/1998
 * @version 1.1.0 28/03/2011
 * @version 1.2.0
 */
public class MultiRenderer extends DefaultTableCellRenderer {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	JCheckBox checkBox = new JCheckBox();

	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int column) {
		if (value instanceof Boolean) { // Boolean
			this.checkBox.setSelected(((Boolean) value).booleanValue());
			this.checkBox.setHorizontalAlignment(JLabel.CENTER);
			return this.checkBox;
		}
		String str = (value == null) ? "" : value.toString();
		return super.getTableCellRendererComponent(table, str, isSelected,
				hasFocus, row, column);
	}
}